UniversalGBasis: sometimes gives error

01 Sep 2016 11:37 - John Abbott

Status: Closed Start date: 01 Sep 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 2.05 hours

Target version: CoCoA-5.2.0 spring 2017 Spent time: 1.95 hour

Description

The following input produces an error (cannot index empty list)

S := support(sum(indets(R))^5);

J := RandomSubset(S,10);

I := ideal(J);

UniversalGBasis(I);

History

#1 - 01 Sep 2016 15:32 - John Abbott

The code for UniversalGBasis simply makes the union of all the reduced GBases produced by GroebnerFanIdeals.  Should there be a call to monic

somewhere?  Is it possible that the same poly appears but with different scalar factors?  I know the reduced GBases are monic BUT only wrt. their

own ordering.

#2 - 01 Sep 2016 16:02 - Anna Maria Bigatti

try now (just checked it the new code using CallOnGroeberFan)

#3 - 02 Sep 2016 13:45 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

A simpler failing case is:

S := support(sum(indets(R))^2);

J := RandomSubset(S,3);

I := ideal(J);

UniversalGBasis(I);

 

The problem is that MarkedPolynomialsToInequalitiesPostiveOrthant on line 69 of GroebnerFan.cpkg produces an empty list.

#4 - 07 Sep 2016 17:09 - Anna Maria Bigatti
- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 90

Fixed.

The list to create the matrix is empty (special case: monomial input), so CoCoA didn't know how to set the number of columns (yes, it makes sense to

set the number of columns even if you have 0 rows).

So the function now call ZeroMat in that case.

#5 - 10 Oct 2016 13:40 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#6 - 12 Oct 2016 15:01 - Anna Maria Bigatti

- Estimated time set to 2.05 h
